/*
 * File         : BV_AppReadThread.h
 * Author       : Tomasz Stachowiak
 * Created      : Fri Jul 24 15:14:00 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_APPREADTHREAD_H
#define __BV_APPREADTHREAD_H

#include <BVN/SprocThread.h>

#define MAX_UDP_SIZE 65000

class BV_AppReadThread : public SprocThread
{
 public:
  BV_AppReadThread(void *app);

 protected:
  int run();

  void *app_;
};

#endif

